Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040094
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Omnichannelminorhave not tried2019-01-31 17:412019-02-27 17:04
ReporterplujanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision7d2a680ea59c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040094: [RR19Q1] [OMNI] Inconsistent labelling on partially paid ticket lines

DescriptionWhile in draft, a line ticket will have a button labelled as "Set as Undeliverable". This button change once the ticket is partially paid to "Set as Deliverable" and, on clicking it, is referred as "Cannot be delivered".
Steps To Reproduce1. Create a ticket with a line, edit the line and check there is a button named "Set as undeliverable". DO NOT CLICK IT!
2. Make a partial payment of the ticket.
3. Open the ticket again, select the line and edit it
4. Note the button label has changed to "Set as Deliverable".
5. Click the button and check the error message referring the buttons as "Cannot be delivered"
TagsNo tags attached.
Attached Filespng file icon DeliverableUnDeliverable.png [^] (48,972 bytes) 2019-01-31 17:41

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040205RR19Q1 closedranjith_qualiantech_com [RR19Q1] [OMNI] Inconsistent labelling on partially paid ticket lines 

-  Notes
(0109920)
hgbot (developer)
2019-02-19 06:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7d2a680ea59cc8a4e7e2b6ead4f36225af257ae4
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 19 11:10:47 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7d2a680ea59cc8a4e7e2b6ead4f36225af257ae4 [^]

Fixed issue 40094 : Updated ADMessage to show proper message when updating line attribute as undeliverable

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0110108)
jorge-garcia (developer)
2019-02-27 17:04

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-01-31 17:41 plujan New Issue
2019-01-31 17:41 plujan Assigned To => Retail
2019-01-31 17:41 plujan File Added: DeliverableUnDeliverable.png
2019-01-31 17:41 plujan Triggers an Emergency Pack => No
2019-02-14 16:00 marvintm Status new => scheduled
2019-02-18 08:32 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-02-19 06:41 hgbot Checkin
2019-02-19 06:41 hgbot Note Added: 0109920
2019-02-19 06:41 hgbot Status scheduled => resolved
2019-02-19 06:41 hgbot Resolution open => fixed
2019-02-19 06:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7d2a680ea59cc8a4e7e2b6ead4f36225af257ae4 [^]
2019-02-26 17:21 jorge-garcia Review Assigned To => jorge-garcia
2019-02-27 17:04 jorge-garcia Note Added: 0110108
2019-02-27 17:04 jorge-garcia Status resolved => closed
2019-02-27 17:04 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker